;;; pol-slash.el 0.1 -- Viewing Polish on any terminal

;;; Just load this file, and Polish characters will appear slashified
;;; Remember -- there's no going back!

;;; This code should really be buffer-local.

(require 'polish)

(defvar polish-slash "/"
  "The character used for introducing polish characters")

(defvar polish-slashes
  (delete (cons polish-prefix-char polish-prefix-char)
	  (mapcar 
	   (function (lambda (entry) (cons (cdr entry) (car entry))))
	   polish-keys))
  "Association list with the mappings from Latin-2 characters to slashed ones")

(defvar polish-slash-display-table standard-display-table
  "The display table for polish-slash-mode")

(mapcar
 (function (lambda (entry) 
	     (standard-display-ascii 
	      (car entry)
	       (concat polish-slash (char-to-string (cdr entry))))))
 polish-slashes)
